# UIHandler (SubServers.Client.Bukkit)

net.ME1312.SubServers.Client.Bukkit.Graphic

## Interface UIHandler

All Known Implementing Classes:
  InternalHandler

    public interface UIHandler

GUI Listener Layout Class

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `click(org.bukkit.event.inventory.InventoryClickEvent event)` Click Listener
`void` `disable()` Disable Listener
`UIRenderer` `getRenderer(org.bukkit.entity.Player player)` Grabs the current Renderer for the player

### Method Detail

#### getRenderer

    UIRenderer getRenderer(org.bukkit.entity.Player player)

Grabs the current Renderer for the player

Parameters:
  `player` - Player
Returns:
  UIRenderer

#### disable

    void disable()

Disable Listener

#### click

    void click(org.bukkit.event.inventory.InventoryClickEvent event)

Click Listener

Parameters:
  `event` - Event